<?php
/*
Plugin Name: Online Contract Stripe Payments
Plugin URI: http://futuredesigngroup.com/downloads/wp-online-contract-stripe
Description: Add Stripe payment functionality to your Wordpress Online Contract management plugin.
Version: 2.1.3
Author: Future Design Group
Author URI: http://futuredesigngroup.com
Text Domain: onlinecontractstripe
Domain Path: /languages/
License: GPL2
Copyright 2014  Future Design Group  (email : olivere@futuredesigngroup.com)
*/

DEFINE('ONLINE_CONTRACT_STRIPE_VERSION_NUMBER', '2.1.3');
DEFINE('ONLINE_CONTRACT_STRIPE_FILE_LOCATION', __FILE__);
DEFINE('ONLINE_CONTRACT_STRIPE_FILE', 'wp-online-contract-stripe-payments/');
DEFINE('ONLINE_CONTRACT_STRIPE_DIR', plugin_dir_path(__DIR__) . 'wp-online-contract-stripe-payments/');
DEFINE('ONLINE_CONTRACT_STRIPE_URL', plugin_dir_url(__DIR__) . 'wp-online-contract-stripe-payments/');

require_once(ONLINE_CONTRACT_STRIPE_DIR . 'src/Admin.php');
require_once(ONLINE_CONTRACT_STRIPE_DIR . 'src/Frontend.php');

if (!function_exists('get_plugins') || !function_exists('is_plugin_active')) {
    require_once ABSPATH . 'wp-admin/includes/plugin.php';
}
/**
 * Check if WP Online Contract is active and installed
 */
if ((new OC_Stripe_Admin())->is_oc_active() && (new OC_Stripe_Admin())->is_oc_installed()) {
    if (!session_id()) {
        session_start();
    }
    $_SESSION['ONLINE_CONTRACT_STRIPE_KEY'] = tr_options_field('fdg_payment_options.stripe_private_api_key');
} else {
    add_action('admin_notices', [(new OC_Stripe_Admin()), 'oc_stripe_notice']);
}
